/*
 * libfeedback
 * Copyright (c) 2012 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __FEEDBACK_FILE_H__
#define __FEEDBACK_FILE_H__

#define FEEDBACK_DATA_DIR			"/opt/share/svi"
#define FEEDBACK_ORIGIN_DATA_DIR	"/usr/share/svi"

#define FEEDBACK_SOUND_DIR			FEEDBACK_DATA_DIR"/sound"
#define FEEDBACK_SOUND_TOUCH_DIR	FEEDBACK_SOUND_DIR"/touch"
#define FEEDBACK_SOUND_OPER_DIR		FEEDBACK_SOUND_DIR"/operation"

#define FEEDBACK_HAPTIC_DIR			FEEDBACK_DATA_DIR"/haptic"
#define FEEDBACK_HAPTIC_TOUCH_DIR	FEEDBACK_HAPTIC_DIR"/touch"
#define FEEDBACK_HAPTIC_OPER_DIR	FEEDBACK_HAPTIC_DIR"/operation"
#define FEEDBACK_HAPTIC_NOTI_DIR	FEEDBACK_HAPTIC_DIR"/notification"
#define FEEDBACK_HAPTIC_DEFAULT_DIR FEEDBACK_HAPTIC_DIR"/default"

const char* snd_file[] = {
	/* TOUCH : SCREEN TOUCH : TAP(TOUCH & RELEASE) : GENERAL */
	FEEDBACK_SOUND_TOUCH_DIR"/touch.wav",
	/* TOUCH : SCREEN TOUCH : TAP(TOUCH & RELEASE) : TEXT_NUMERIC_INPUT */
	FEEDBACK_SOUND_TOUCH_DIR"/sip.wav",
	FEEDBACK_SOUND_TOUCH_DIR"/sip_backspace.wav",
	FEEDBACK_SOUND_TOUCH_DIR"/sip.wav",
	/* TOUCH : SCREEN TOUCH : TAP(TOUCH & RELEASE) : DAILER */
	FEEDBACK_SOUND_TOUCH_DIR"/key0.wav",
	FEEDBACK_SOUND_TOUCH_DIR"/key1.wav",
	FEEDBACK_SOUND_TOUCH_DIR"/key2.wav",
	FEEDBACK_SOUND_TOUCH_DIR"/key3.wav",
	FEEDBACK_SOUND_TOUCH_DIR"/key4.wav",
	FEEDBACK_SOUND_TOUCH_DIR"/key5.wav",
	FEEDBACK_SOUND_TOUCH_DIR"/key6.wav",
	FEEDBACK_SOUND_TOUCH_DIR"/key7.wav",
	FEEDBACK_SOUND_TOUCH_DIR"/key8.wav",
	FEEDBACK_SOUND_TOUCH_DIR"/key9.wav",
	FEEDBACK_SOUND_TOUCH_DIR"/keyasterisk.wav",
	FEEDBACK_SOUND_TOUCH_DIR"/keysharp.wav",
	/* TOUCH : H/W OR SOFT TOUCH : HOLD(TAP & HOLD) */
	NULL,
	/* TOUCH : H/W OR SOFT TOUCH : MULTI TAP */
	NULL,
	/* TOUCH : H/W OR SOFT TOUCH : TAP */
	NULL,
	/* TOUCH : H/W OR SOFT TOUCH : TAP & HOLD */
	NULL,

	/* NOTIFICATION : INCOMING : MESSAGE */
	NULL,
	/* NOTIFICATION : INCOMING : MESSAGE ALERT ON CALL */
	NULL,
	/* NOTIFICATION : INCOMING : EMAIL */
	NULL,
	/* NOTIFICATION : INCOMING : EMAIL ALERT ON CALL */
	NULL,
	/* NOTIFICATION : ALARM : WAKEUP */
	NULL,
	/* NOTIFICATION : ALARM : WAKEUP ALERT ON CALL */
	NULL,
	/* NOTIFICATION : ALARM : SCHEDULE */
	NULL,
	/* NOTIFICATION : ALARM : SCHEDULE ALERT ON CALL */
	NULL,
	/* NOTIFICATION : ALARM : TIMER */
	NULL,
	/* NOTIFICATION : ALARM : TIMER ALERT ON CALL */
	NULL,
	/* NOTIFICATION : GENERAL(TICKER/IM/SMS ETC) */
	FEEDBACK_SOUND_OPER_DIR"/call_connect.wav",
	/* NOTIFICATION : GENERAL(TICKER/IM/SMS ETC) ALERT ON CALL */
	FEEDBACK_SOUND_OPER_DIR"/call_connect.wav",

	/* OPERATION : POWER ON/OFF */
	FEEDBACK_SOUND_OPER_DIR"/power_on.wav",
	NULL,
	/* OPERATION : CHARGECONN */
	FEEDBACK_SOUND_OPER_DIR"/charger_connection.wav",
	/* OPERATION : CHARGECONN ALERT ON CALL */
	FEEDBACK_SOUND_OPER_DIR"/charger_connection.wav",
	/* OPERATION : FULLCHAREGED */
	FEEDBACK_SOUND_OPER_DIR"/fully_charged.wav",
	/* OPERATION : FULLCHAREGED ALERT ON CALL */
	FEEDBACK_SOUND_OPER_DIR"/fully_charged.wav",
	/* OPERATION : LOW BATTERY */
	FEEDBACK_SOUND_OPER_DIR"/low_battery.wav",
	/* OPERATION : LOW BATTERY ALERT ON CALL */
	FEEDBACK_SOUND_OPER_DIR"/low_battery.wav",
	/* OPERATION : LOCK/UNLOCK */
	FEEDBACK_SOUND_OPER_DIR"/lock.wav",
	FEEDBACK_SOUND_OPER_DIR"/unlock.wav",
	/* OPERATION : CALL CONNECT/ DISCONNECT */
	FEEDBACK_SOUND_OPER_DIR"/call_connect.wav",
	FEEDBACK_SOUND_OPER_DIR"/call_disconnect.wav",
	/* OPERATION : MINUTE MINDER */
	FEEDBACK_SOUND_OPER_DIR"/minute_minder.wav",
	/* OPERATION : VIBRATION */
	NULL,
	/* OPERATION : CAMERA SHUTTER / SCREEN CAPTURE */
	FEEDBACK_SOUND_OPER_DIR"/shutter.wav",
	/* OPERATION : LIST RE-ORDER */
	FEEDBACK_SOUND_OPER_DIR"/list_reorder.wav",
	/* OPERATION : LIST SLIDER */
	FEEDBACK_SOUND_OPER_DIR"/slider_sweep.wav",
	/* OPERATION : VOLUME KEY */
	FEEDBACK_SOUND_OPER_DIR"/volume_control.wav",
};

const char* haptic_file[] = {
	/* TOUCH : SCREEN TOUCH : TAP(TOUCH & RELEASE) : GENERAL */
	NULL,
	/* TOUCH : SCREEN TOUCH : TAP(TOUCH & RELEASE) : TEXT_NUMERIC_INPUT */
	NULL,
	NULL,
	NULL,
	/* TOUCH : SCREEN TOUCH : TAP(TOUCH & RELEASE) : DAILER */
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	/* TOUCH : H/W OR SOFT TOUCH : HOLD(TAP & HOLD) */
	FEEDBACK_HAPTIC_TOUCH_DIR"/touch.tht",
	/* TOUCH : H/W OR SOFT TOUCH : MULTI TAP */
	FEEDBACK_HAPTIC_TOUCH_DIR"/touch.tht",
	/* TOUCH : H/W OR SOFT TOUCH : TAP */
	NULL,
	/* TOUCH : H/W OR SOFT TOUCH : TAP & HOLD */
	NULL,

	/* NOTIFICATION : INCOMING : MESSAGE */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* NOTIFICATION : INCOMING : MESSAGE ALERT ON CALL */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* NOTIFICATION : INCOMING : EMAIL */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* NOTIFICATION : INCOMING : EMAIL ALERT ON CALL */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* NOTIFICATION : ALARM : WAKEUP */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* NOTIFICATION : ALARM : WAKEUP ALERT ON CALL */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* NOTIFICATION : ALARM : SCHEDULE */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* NOTIFICATION : ALARM : SCHEDULE ALERT ON CALL */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* NOTIFICATION : ALARM : TIMER */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* NOTIFICATION : ALARM : TIMER ALERT ON CALL */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* NOTIFICATION : GENERAL(TICKER/IM/SMS ETC) */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* NOTIFICATION : GENERAL(TICKER/IM/SMS ETC) ALERT ON CALL */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",

	/* OPERATION : POWER ON/OFF */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* OPERATION : CHARGECONN */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* OPERATION : CHARGECONN ALERT ON CALL */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* OPERATION : FULLCHAREGED */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* OPERATION : FULLCHAREGED ALERT ON CALL */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* OPERATION : LOW BATTERY */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* OPERATION : LOW BATTERY ALERT ON CALL */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* OPERATION : LOCK/UNLOCK */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* OPERATION : CALL CONNECT/ DISCONNECT */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* OPERATION : MINUTE MINDER */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* OPERATION : VIBRATION */
	FEEDBACK_HAPTIC_DEFAULT_DIR"/Basic_call.tht",
	/* OPERATION : CAMERA SHUTTER / SCREEN CAPTURE */
	NULL,
	/* OPERATION : LIST RE-ORDER */
	NULL,
	/* OPERATION : LIST SLIDER */
	NULL,
	/* OPERATION : VOLUME KEY */
	NULL,
};

#endif //__FEEDBACK_FILE_H__
